Uses of Class
org.apache.juneau.marshall.MarshallingTraverseContext
Packages that use MarshallingTraverseContext
Package
Description
Serializer Examples
Marshalling API
BSON (Binary JSON) marshalling support.
CBOR (Concise Binary Object Representation) marshalling support per RFC 8949.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
INI format serializer and parser for Apache Juneau.
JCS (JSON Canonicalization Scheme) Marshalling Support.
RDF Marshalling Support
JSON Marshalling Support.
JSON5 Marshalling Support.
JSON5L (JSON5 Lines) marshalling support.
JSONL (JSON Lines) marshalling support.
JSON-Schema Marshalling Support
Markdown serializer and parser support for Apache Juneau.
MessagePack Marshalling Support
OpenAPI Marshalling Support
Apache Parquet serialization and parsing support.
Plaintext Marshalling Support
Serializer API
SOAP/XML Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
Petstore-local marshalling support.
-
Uses of MarshallingTraverseContext in org.apache.juneau.examples.serializer
Subclasses of MarshallingTraverseContext in org.apache.juneau.examples.serializerModifier and TypeClassDescriptionclassExample serializer that convertsBufferedImageobjects to byte streams. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall
Constructors in org.apache.juneau.marshall with parameters of type MarshallingTraverseContextModifierConstructorDescriptionprotectedBuilder(MarshallingTraverseContext copyFrom) Copy constructor.protectedConstructor -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.bson
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.bsonModifier and TypeClassDescriptionclassSerializes POJO models to BSON (Binary JSON).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.cbor
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.cborModifier and TypeClassDescriptionclassSerializes POJO models to CBOR (RFC 8949).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.csv
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.csvModifier and TypeClassDescriptionclassSerializes POJO models to CSV (Comma Separated Values) format. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.hjson
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.hjsonModifier and TypeClassDescriptionclassSerializes POJO models to Hjson (Human JSON). -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.hocon
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.hoconModifier and TypeClassDescriptionclassSerializes POJO models to HOCON (Human-Optimized Config Object Notation). -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.html
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.htmlModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as HTML documents.classSerializes POJO metamodels to HTML.classSerializes POJO metamodels to HTML.static classDefault serializer, with whitespace.static classDefault serializer, single quotes, simple mode.static classDefault serializer, single quotes, simple mode, with whitespace.classSerializes POJO models to HTML.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added.classSerializes POJOs to HTTP responses as stripped HTML. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.ini
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.ini -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.jcs
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.jcsModifier and TypeClassDescriptionclassSerializes POJO models to canonical JSON per RFC 8785 (JCS). -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.jena
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.jenaModifier and TypeClassDescriptionclassSubclass ofRdfSerializerfor serializing POJOs to JSON-LD format.classSubclass ofRdfSerializerfor serializing POJOs to N3 (Notation3) format.classSubclass ofRdfSerializerfor serializing POJOs to N-Quads format.classSubclass ofRdfSerializerfor serializing POJOs to N-Triples notation.classSubclass ofRdfSerializerfor serializing POJOs to RDF/JSON notation.classStream-based RDF serializer for RDF/PROTO binary format.classSerializes POJOs to RDF.classStream-based RDF serializer for binary formats (RDF/THRIFT, RDF/PROTO).classStream-based RDF serializer for RDF/THRIFT binary format.classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML-Abbrev (abbreviated XML notation).classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML (standard XML notation).classSubclass ofRdfSerializerfor serializing POJOs to TriG format.classSubclass ofRdfSerializerfor serializing POJOs to TriX (XML) format.classSubclass ofRdfSerializerfor serializing POJOs to Turtle format. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.json
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.jsonModifier and TypeClassDescriptionclassSerializes POJO metadata to HTTP responses as JSON-Schema.static classDefault serializer, with whitespace.classSerializes POJO models to RFC 8259 JSON.static classDefault serializer, with whitespace. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.json5
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.json5Modifier and TypeClassDescriptionclassSerializes POJO models to Simplified JSON.static classDefault serializer, single quotes, simple mode, with whitespace. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.json5l
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.json5lModifier and TypeClassDescriptionclassSerializes POJO models to JSON5L (JSON5 Lines). -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.jsonl
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.jsonlModifier and TypeClassDescriptionclassSerializes POJO models to JSONL (JSON Lines). -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.jsonschema
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.jsonschemaModifier and TypeClassDescriptionclassGenerates JSON-schema metadata about POJOs. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.markdown
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.markdownModifier and TypeClassDescriptionclassSerializes POJO models to Markdown document mode (headings + tables).classSerializes POJO models to Markdown (fragment mode: tables and lists). -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.msgpack
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.msgpackModifier and TypeClassDescriptionclassSerializes POJO models to MessagePack.static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.oapi
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.oapiModifier and TypeClassDescriptionclassSerializes POJOs to values suitable for transmission as HTTP headers, query/form-data parameters, and path variables. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.parquet
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.parquetModifier and TypeClassDescriptionclassSerializes bean collections to Apache Parquet binary format. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.plaintext
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.plaintextModifier and TypeClassDescriptionclassSerializes POJOs to plain text using just thetoString() method on the serialized object. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.serializer
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.serializerModifier and TypeClassDescriptionclassSubclass ofSerializerfor byte-based serializers.classParent class for all Juneau serializers.static classRepresents no Serializer.static classAn identifier that the previous entries in this group should be inherited.static classAn identifier that the previous entries in this group should not be inherited.classSubclass ofSerializerfor character-based serializers. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.soap
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.soapModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML+SOAP. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.sse
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.sseModifier and TypeClassDescriptionclassSerializesSseEventobjects to thetext/event-stream wire format defined by the WHATWG Server-Sent Events spec. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.toml
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.toml -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.uon
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.uonModifier and TypeClassDescriptionclassSerializes POJO models to UON (a notation for URL-encoded query parameter values).static classEquivalent toUonSerializer..create ().encoding().build();static classEquivalent toUonSerializer..create ().ws().build(); -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.urlencoding
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.urlencodingModifier and TypeClassDescriptionclassSerializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).static classEquivalent toUrlEncodingSerializer..create ().expandedParams().build();static classEquivalent toUrlEncodingSerializer..create ().plainTextParts().build();static classEquivalent toUrlEncodingSerializer..create ().useWhitespace().build(); -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.xml
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.xmlModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML.static classDefault serializer without namespaces.classSerializes POJO models to XML.static classDefault serializer without namespaces.static classDefault serializer without namespaces, single quotes.static classDefault serializer without namespaces, single quotes, with whitespace.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added. -
Uses of MarshallingTraverseContext in org.apache.juneau.marshall.yaml
Subclasses of MarshallingTraverseContext in org.apache.juneau.marshall.yamlModifier and TypeClassDescriptionclassSerializes POJO models to YAML.static classDefault serializer, with whitespace. -
Uses of MarshallingTraverseContext in org.apache.juneau.petstore.marshall
Subclasses of MarshallingTraverseContext in org.apache.juneau.petstore.marshallModifier and TypeClassDescriptionclass